Debian Bug report logs - #691624
ITP: dput-ng -- next generation Debian package upload tool

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Arno Töll <arno@debian.org>

Date: Sat, 27 Oct 2012 17:21:01 UTC

Owned by: "Arno Töll" <arno@debian.org>

Severity: wishlist

Fixed in version dput-ng/1.0

Done: Arno Töll <arno@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, arno@debian.org, debian-devel@lists.debian.org, wnpp@debian.org, "Arno Töll" <arno@debian.org>:
Bug#691624; Package wnpp. (Sat, 27 Oct 2012 17:21:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Arno Töll <arno@debian.org>:
New Bug report received and forwarded. Copy sent to arno@debian.org, debian-devel@lists.debian.org, wnpp@debian.org, "Arno Töll" <arno@debian.org>. (Sat, 27 Oct 2012 17:21:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Arno Töll <arno@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: dput-ng -- next generation Debian package upload tool
Date: Sat, 27 Oct 2012 19:18:54 +0200
Package: wnpp
Severity: wishlist
Owner: "Arno Töll" <arno@debian.org>

Package: wnpp
Severity: wishlist
Owner: Arno Töll <arno@debian.org>
thanks
* Package name    : dput-ng
  Version         : 1.0.0
  Upstream Author : Arno Töll <arno@debian.org>, Paul Tagliamonte <paultag@debian.org>
* URL             : http://people.debian.org/~paultag/dput-ng
* License         : GPL-2+
  Programming Lang: Python
  Description     : next generation Debian package upload tool


dput-ng is a Debian package upload tool which provides an easy to use inter-
face to Debian (like) package archive hosting facilities. It allows anyone who
works with Debian packages to upload their work to a remote service, including
Debian's ftp-master, mentors.debian.net, Launchpad or other package hosting
facilities for Debian package maintainers.

dput-ng features many enhancements over dput, such as more comprehensive
checks, an easy to use plugin system, and code designed to handle the numerous
archives that any Debian package hacker will interact with.

dput-ng aims to be backwards compatible with dput in command-line flags,
configuration files, and expected behavior.


Informal part in case someone is curious:


Everyone interested can look at our work at
http://anonscm.debian.org/gitweb/?p=collab-maint/dputng.git. As of today
dpdput-ng is ready to use for early adotors.  Users should beware, this first
version is just barely feature complete, so it's recommended for use by those
who wish to provide early feedback or testing. That being said, the authors are
running this on a daily basis, and most features in both dput and dcut have
been tested in production. Problems are infrequent, but may cause breakage in
these early stages. Having that said, we are not aware of any serious problem,
and it can be used right away for most use cases Documentation on dput can be
found in the -doc package built from this source, or at http://dput.rtfd.org/

Finally, as always: Contributions and suggestions are extremely welcome.


Highlights:


* Compatibility with dput.cf configuration files ("old style configuration")
* A new extremely flexible configuration format permitting inheritance of profiles
* Pluggable interface for third party pre- and post-upload checks
* A public Python API for those who want to embed dput in their own code
* A detached user interface for a future dput GUI
* Pluggable dcut command support (DM permission handling integrated!)
* Support for SFTP uploader and SHA256 checksums
* We avoid common and open issues with dput (old), including but not limited to
  the absence of hardcoded paths for commands, checking distribution mismatches,
  and more.


Limitations:


* We do not support all dput (old) configuration flags, most notable we do not
  have support for progress indication (yet) and we do not support run_dinstall
  (we believe this is barely used anymore these days but relies on SSH scraping
  instead)
* We do not support "method = rsync" uploads (relies on SSH scraping
  again)
* A few other options are not supported because they are superseded by (in our
  opinion) superior replacements * Command line options from dcut differ to the
  original



Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Sun, 02 Dec 2012 10:45:08 GMT) Full text and rfc822 format available.

Reply sent to Arno Töll <arno@debian.org>:
You have taken responsibility. (Sun, 02 Dec 2012 23:03:03 GMT) Full text and rfc822 format available.

Notification sent to Arno Töll <arno@debian.org>:
Bug acknowledged by developer. (Sun, 02 Dec 2012 23:03:03 GMT) Full text and rfc822 format available.

Message #12 received at 691624-close@bugs.debian.org (full text, mbox):

From: Arno Töll <arno@debian.org>
To: 691624-close@bugs.debian.org
Subject: Bug#691624: fixed in dput-ng 1.0
Date: Sun, 02 Dec 2012 23:00:05 +0000
Source: dput-ng
Source-Version: 1.0

We believe that the bug you reported is fixed in the latest version of
dput-ng, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 691624@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Arno Töll <arno@debian.org> (supplier of updated dput-ng package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Mon, 26 Nov 2012 17:41:41 +0100
Source: dput-ng
Binary: dput-ng python-dput dput-ng-doc
Architecture: source all
Version: 1.0
Distribution: unstable
Urgency: low
Maintainer: Arno Töll <arno@debian.org>
Changed-By: Arno Töll <arno@debian.org>
Description: 
 dput-ng    - next generation Debian package upload tool
 dput-ng-doc - next generation Debian package upload tool (documentation)
 python-dput - next generation Debian package upload tool (Python library)
Closes: 691624
Changes: 
 dput-ng (1.0) unstable; urgency=low
 .
   * Initial release (Closes: #691624)
Checksums-Sha1: 
 e3e57464a032e4944f938063579a983d1f9e25fe 1710 dput-ng_1.0.dsc
 4cf3e876413946d553d15593ed575cee06074f1c 77907 dput-ng_1.0.tar.gz
 3a6e5f89485fea574ba89f145a08e5a35361d47d 25166 dput-ng_1.0_all.deb
 2bfb202a9e17e12aa4bb6dacf80612e33ef4d453 33506 python-dput_1.0_all.deb
 b447b30aab2e69039f85a2024be17c978018d3e4 66842 dput-ng-doc_1.0_all.deb
Checksums-Sha256: 
 96058fb6eda55a91eb77bd4fae32aef9fd5367d209b827def4c7383ce88bd617 1710 dput-ng_1.0.dsc
 5442ddbda37f05e248e038ae301e908c95b36be4998e4c9e15f4828915a9a5f4 77907 dput-ng_1.0.tar.gz
 9eed282ab88eddd34757b8bac773973dcfc9d2b58ba3999f39610fd6f9564a60 25166 dput-ng_1.0_all.deb
 35b3a68960cc340b919952aa0cc0f2ecc94e83ac26ab8264d6b6262f0d8aed3d 33506 python-dput_1.0_all.deb
 b02c1fff7d8284e3aa3821f11d3cf6452d595745e7ce8fac9c4bddb5b61d0b1f 66842 dput-ng-doc_1.0_all.deb
Files: 
 492095175ac3eaab027a2aad4e567905 1710 devel optional dput-ng_1.0.dsc
 b7c026d08773ef666f46390a2650d3a7 77907 devel optional dput-ng_1.0.tar.gz
 b35e5bf8877508ff0ad944ce856f7023 25166 devel optional dput-ng_1.0_all.deb
 0913fff838f163b65cc6c7b35c737597 33506 python optional python-dput_1.0_all.deb
 aa9373bc476395792e2a479af676312a 66842 doc optional dput-ng-doc_1.0_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBAgAGBQJQulJ9AAoJEMcrUe6dgPNt7VgQAMLNhTLrmPBvbkLLgxqWOKjE
B5XrLbSId5Fi7xoZGqUZYz39GAXgYPBG4E/1xSBJ/kujKRu9SBrtsgELOAcIxNg2
a3PNVfYZkzpuOqGcBPGJ2/P5qx0qeVXsQmijilBuTYQpKHAS2bYDVOvhCD6OKFhv
fRnDDmzaB2i5SFPIdeweEOZwl0uJfZ4VgoQ9tR6T6CnFh/KAT1RPV8qzBm9+Q7wX
Y/7zgATK9Y+WKMMZ+5uue61zWC2T7tX/7Xmp9AET2H4AeN+gm8hZIVfEXZuW4hux
Sdn5cgV61RXuj8iz5+S9Oz1hxSgngM03VsNxB02oo7tsvcHzciZ3p+Z9VkMdjFhB
hXAozDeOnGKRtTCoy+xCxlf/jBkXN0OUeM5MndK+jDPaSbLXK6kv76xQIu3B244t
++JoDmtrG/VqRWakZ4vbwch6drub/sj5AMCOPrqTvGICIjnMAWLHTS5DGuDR+BaU
kBZvRHq84J2Zo9h3W1Vf0/6STT76APgusLXr2BlnyYsnQ+uEFsrEOVJ/Jm1Di+2G
87EXQ109W06XhLdvTfuW9gOqhqe9Dju8BTH8NnxPUjfoxjqUXIEBC7I8RXtpJ/h8
r5nSgxyxIMVfEuD5lkp504TpFXM1Kq3gQX3+P4E9+1DuHIW//RZaJ3GpZbsUAslV
lCkRZltnVYKjoU+eDiGd
=v9SI
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 31 Dec 2012 07:26:22 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 20:46:29 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.